Subject: Re: [bug#54434] [PATCH 4/6] gnu: mate-polkit-for-xfce: Unhide package.

From: Brendan Tildesley <[email-masked]>
Date: Fri, 18 Mar 2022 16:10:15 +1100

On 18/3/22 03:36, Maxime Devos wrote:
> 'Brendan Tildesley schreef op do 17-03-2022 om 19:04 [+1100]:
>> -    (properties `((hidden? . #t)))))
>> +    (synopsis "PolicyKit Authentication agent for XFCE")
>> +    (description (string-append (package-description mate-polkit) "
>> +
>> +This package variant provides the MATE PolicyKit authentication agent
>> +configured to autostart for XFCE. This is because the XFCE project does not
>> +have its own official authentication agent, so we pick MATE PolicyKit as a
>> +reasonable fit."))))
> The description seems rather pointless to me because the package is
> hidden (and hence, not visible to "guix show").
I unhid the package as a part of the patch.
> It could be put in a comment though.  Additionally, as-is, this won't
> be picked up for translation, maybe do
> (string-append ... (P_ "foo bar ...")) instead.
I'll do that in v2
> Greetings,
> Maxime.